E UROPEAN S YNCHROTRON R ADIATION F ACILITY ##### INSTALLATION EUROPEENNE DE RAYONNEMENT SYNCHROTRON |

Main Page Namespace List Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TangoTest::DevVarUShortArrayCmd Class Reference

`#include <TangoTestClass.h>`

List of all members.

## Public Methods
| DevVarUShortArrayCmd (const char *, Tango::CmdArgType, Tango::CmdArgType, const char *, const char *, Tango::DispLevel)
| DevVarUShortArrayCmd (const char *, Tango::CmdArgType, Tango::CmdArgType)
| ~DevVarUShortArrayCmd ()
virtual bool | is_allowed (Tango::DeviceImpl *, const CORBA::Any &)
virtual CORBA::Any * | execute (Tango::DeviceImpl *, const CORBA::Any &)

## Constructor & Destructor Documentation

TangoTest::DevVarUShortArrayCmd::DevVarUShortArrayCmd | ( | const char * | name,
|  | Tango::CmdArgType | in,
|  | Tango::CmdArgType | out,
|  | const char * | in_desc,
|  | const char * | out_desc,
|  | Tango::DispLevel | level
| ) |

TangoTest::DevVarUShortArrayCmd::DevVarUShortArrayCmd | ( | const char * | name,
|  | Tango::CmdArgType | in,
|  | Tango::CmdArgType | out
| ) |

TangoTest::DevVarUShortArrayCmd::~DevVarUShortArrayCmd | ( |  | ) | `[inline]`

## Member Function Documentation

CORBA::Any * TangoTest::DevVarUShortArrayCmd::execute | ( | Tango::DeviceImpl * | device,
|  | const CORBA::Any & | in_any
| ) | `[virtual]`

bool TangoTest::DevVarUShortArrayCmd::is_allowed | ( | Tango::DeviceImpl * | device,
|  | const CORBA::Any & | in_any
| ) | `[virtual]`

The documentation for this class was generated from the following files:

- TangoTestClass.h
- TangoTestClass.cpp

Tango Device Server User's Guide

### (c) ESRF - Software Engineering Group